clear all
close all
opts = detectImportOptions( 'BARK_2_przod_lewy.csv' );
Read_eeg_data = readmatrix( 'BARK_2_przod_lewy.csv');
NAZWA='SAVE1';
Matrix_Electrodes=(Read_eeg_data(:,(5:36)));
Names_of_electrodes=(opts.VariableNames(1,(5:36)));

Size_EEG=size(Read_eeg_data);
Time=Read_eeg_data(Size_EEG(1,1),1)-Read_eeg_data(1,1);
Sample=Time/Size_EEG(1,1);
Samples=linspace(1,Time,Size_EEG(1,1));
figure(1);
plot(Samples,Matrix_Electrodes);
grid on;
hold on;

% fpass=200;
% fs=50000;
% 
% All_signals_highpass=lowpass((Matrix_Electrodes),fpass,fs);

fpass=200;
fs=1000;

All_signals_highpass=highpass((Matrix_Electrodes),fpass,fs);

Matrix_Electrodes=Matrix_Electrodes(15:Size_EEG(1)-15,:);
All_signals_highpass=All_signals_highpass(15:Size_EEG(1)-15,:);
Size_EEG(1)=Size_EEG(1)-29;
Time=Read_eeg_data(Size_EEG(1,1),1)-Read_eeg_data(1,1);
Sample=Time/Size_EEG(1,1);
Samples=linspace(1,Time,Size_EEG(1,1));

figure(2);
plot(Samples,All_signals_highpass);
hold on
%legend
hold on
grid on;
hold on;

%xden = wdenoise(Matrix_Electrodes,5,'DenoisingMethod','BlockJS');
%All_signals_highpass_denoised=highpass((xden),fpass,fs);


Cz=highpass((Matrix_Electrodes(:,1)),fpass,fs);
Fz=highpass((Matrix_Electrodes(:,2)),fpass,fs);
Fp1=highpass((Matrix_Electrodes(:,3)),fpass,fs);
F7=highpass((Matrix_Electrodes(:,4)),fpass,fs);
F3=highpass((Matrix_Electrodes(:,5)),fpass,fs);
FC1=highpass((Matrix_Electrodes(:,6)),fpass,fs);
C3=highpass((Matrix_Electrodes(:,7)),fpass,fs);
FC5=highpass((Matrix_Electrodes(:,8)),fpass,fs);
FT9=highpass((Matrix_Electrodes(:,9)),fpass,fs);
T7=highpass((Matrix_Electrodes(:,10)),fpass,fs);
CP5=highpass((Matrix_Electrodes(:,11)),fpass,fs);
CP1=highpass((Matrix_Electrodes(:,12)),fpass,fs);
P3=highpass((Matrix_Electrodes(:,13)),fpass,fs);
P7=highpass((Matrix_Electrodes(:,14)),fpass,fs);
PO9=highpass((Matrix_Electrodes(:,15)),fpass,fs);
O1=highpass((Matrix_Electrodes(:,16)),fpass,fs);
Pz=highpass((Matrix_Electrodes(:,17)),fpass,fs);
Oz=highpass((Matrix_Electrodes(:,18)),fpass,fs);
O2=highpass((Matrix_Electrodes(:,19)),fpass,fs);
PO10=highpass((Matrix_Electrodes(:,20)),fpass,fs);
P8=highpass((Matrix_Electrodes(:,21)),fpass,fs);
P4=highpass((Matrix_Electrodes(:,22)),fpass,fs);
CP2=highpass((Matrix_Electrodes(:,23)),fpass,fs);
CP6=highpass((Matrix_Electrodes(:,24)),fpass,fs);
T8=highpass((Matrix_Electrodes(:,25)),fpass,fs);
FT10=highpass((Matrix_Electrodes(:,26)),fpass,fs);
FC6=highpass((Matrix_Electrodes(:,27)),fpass,fs);
C4=highpass((Matrix_Electrodes(:,28)),fpass,fs);
FC2=highpass((Matrix_Electrodes(:,29)),fpass,fs);
F4=highpass((Matrix_Electrodes(:,30)),fpass,fs);
F8=highpass((Matrix_Electrodes(:,31)),fpass,fs);
Fp2=highpass((Matrix_Electrodes(:,32)),fpass,fs);

Highpass_test=[Cz Fz Fp1 F7 F3 FC1 C3 FC5 FT9 T7 CP5 CP1 P3 P7 PO9 O1 Pz Oz O2 PO10 P8 P4 CP2 CP6 T8 FT10 FC6 C4 FC2 F4 F8 Fp2];
save Highpass_test
%INTEGRALS

for i=1:1:((Size_EEG(1,1)/128))

Cz_integral(i,1)=trapz(abs(Cz(1+((i-1)*128):(i*128),1)));
Fz_integral(i,1)=trapz(abs(Fz(1+((i-1)*128):(i*128),1)));
Fp1_integral(i,1)=trapz(abs(Fp1(1+((i-1)*128):(i*128),1)));
F7_integral(i,1)=trapz(abs(F7(1+((i-1)*128):(i*128),1)));
F3_integral(i,1)=trapz(abs(F3(1+((i-1)*128):(i*128),1)));
FC1_integral(i,1)=trapz(abs(FC1(1+((i-1)*128):(i*128),1)));
C3_integral(i,1)=trapz(abs(C3(1+((i-1)*128):(i*128),1)));
FC5_integral(i,1)=trapz(abs(FC5(1+((i-1)*128):(i*128),1)));
FT9_integral(i,1)=trapz(abs(FT9(1+((i-1)*128):(i*128),1)));
T7_integral(i,1)=trapz(abs(T7(1+((i-1)*128):(i*128),1)));
CP5_integral(i,1)=trapz(abs(CP5(1+((i-1)*128):(i*128),1)));;
CP1_integral(i,1)=trapz(abs(CP1(1+((i-1)*128):(i*128),1)));
P3_integral(i,1)=trapz(abs(P3(1+((i-1)*128):(i*128),1)));
P7_integral(i,1)=trapz(abs(P7(1+((i-1)*128):(i*128),1)));
PO9_integral(i,1)=trapz(abs(PO9(1+((i-1)*128):(i*128),1)));
O1_integral(i,1)=trapz(abs(O1(1+((i-1)*128):(i*128),1)));
Pz_integral(i,1)=trapz(abs(Pz(1+((i-1)*128):(i*128),1)));
Oz_integral(i,1)=trapz(abs(Oz(1+((i-1)*128):(i*128),1)));
O2_integral(i,1)=trapz(abs(O2(1+((i-1)*128):(i*128),1)));
PO10_integral(i,1)=trapz(abs(PO10(1+((i-1)*128):(i*128),1)));
P8_integral(i,1)=trapz(abs(P8(1+((i-1)*128):(i*128),1)));
P4_integral(i,1)=trapz(abs(P4(1+((i-1)*128):(i*128),1)));
CP2_integral(i,1)=trapz(abs(CP2(1+((i-1)*128):(i*128),1)));
CP6_integral(i,1)=trapz(abs(CP6(1+((i-1)*128):(i*128),1)));
T8_integral(i,1)=trapz(abs(T8(1+((i-1)*128):(i*128),1)));
FT10_integral(i,1)=trapz(abs(FT10(1+((i-1)*128):(i*128),1)));
FC6_integral(i,1)=trapz(abs(FC6(1+((i-1)*128):(i*128),1)));
C4_integral(i,1)=trapz(abs(C4(1+((i-1)*128):(i*128),1)));
FC2_integral(i,1)=trapz(abs(FC2(1+((i-1)*128):(i*128),1)));
F4_integral(i,1)=trapz(abs(F4(1+((i-1)*128):(i*128),1)));
F8_integral(i,1)=trapz(abs(F8(1+((i-1)*128):(i*128),1)));
Fp2_integral(i,1)=trapz(abs(Fp2(1+((i-1)*128):(i*128),1)));

end

Integrals_test=[Cz_integral Fz_integral Fp1_integral F7_integral F3_integral FC1_integral C3_integral FC5_integral FT9_integral T7_integral CP5_integral CP1_integral P3_integral P7_integral PO9_integral O1_integral Pz_integral Oz_integral O2_integral PO10_integral P8_integral P4_integral CP2_integral CP6_integral T8_integral FT10_integral FC6_integral C4_integral FC2_integral F4_integral F8_integral Fp2_integral]';
save Integrals_test
%yfit = trainedModel3.predictFcn(Integrals_calm_up1) 
% 
% 
% %TAKE THE BEST PERIOD
% 
% Cz_integral_period=Cz_integral([5:29],1);
% Fz_integral_period=Fz_integral([5:29],1);
% Fp1_integral_period=Fp1_integral([5:29],1);
% F7_integral_period=F7_integral([5:29],1);
% F3_integral_period=F3_integral([5:29],1);
% FC1_integral_period=FC1_integral([5:29],1);
% C3_integral_period=C3_integral([5:29],1);
% FC5_integral_period=FC5_integral([5:29],1);
% FT9_integral_period=FT9_integral([5:29],1);
% T7_integral_period=T7_integral([5:29],1);
% CP5_integral_period=CP5_integral([5:29],1);
% CP1_integral_period=CP1_integral([5:29],1);
% P3_integral_period=P3_integral([5:29],1);
% P7_integral_period=P7_integral([5:29],1);
% PO9_integral_period=PO9_integral([5:29],1);
% O1_integral_period=O1_integral([5:29],1);
% Pz_integral_period=Pz_integral([5:29],1);
% Oz_integral_period=Oz_integral([5:29],1);
% O2_integral_period=O2_integral([5:29],1);
% PO10_integral_period=PO10_integral([5:29],1);
% P8_integral_period=P8_integral([5:29],1);
% P4_integral_period=P4_integral([5:29],1);
% CP2_integral_period=CP2_integral([5:29],1);
% CP6_integral_period=CP6_integral([5:29],1);
% T8_integral_period=T8_integral([5:29],1);
% FT10_integral_period=FT10_integral([5:29],1);
% FC6_integral_period=FC6_integral([5:29],1);
% C4_integral_period=C4_integral([5:29],1);
% FC2_integral_period=FC2_integral([5:29],1);
% F4_integral_period=F4_integral([5:29],1);
% F8_integral_period=F8_integral([5:29],1);
% Fp2_integral_period=Fp2_integral([5:29],1);
% 
% 
% Periods_up2=[Cz_integral_period Fz_integral_period Fp1_integral_period F7_integral_period F3_integral_period FC1_integral_period C3_integral_period FC5_integral_period FT9_integral_period T7_integral_period CP5_integral_period CP1_integral_period P3_integral_period P7_integral_period PO9_integral_period O1_integral_period Pz_integral_period Oz_integral_period O2_integral_period PO10_integral_period P8_integral_period P4_integral_period CP2_integral_period CP6_integral_period T8_integral_period FT10_integral_period FC6_integral_period C4_integral_period FC2_integral_period F4_integral_period F8_integral_period Fp2_integral_period]';
% %Maximum, minimum and mean of integral
% 
% Cz_integral_period_max=max(Cz_integral_period);
% Cz_integral_period_min=min(Cz_integral_period);
% Cz_integral_period_mean=mean(Cz_integral_period);
% 
% 
% Fz_integral_period_max=max(Fz_integral_period);
% Fz_integral_period_min=min(Fz_integral_period);
% Fz_integral_period_mean=mean(Fz_integral_period);
% 
% 
% Fp1_integral_period_max=max(Fp1_integral_period);
% Fp1_integral_period_min=min(Fp1_integral_period);
% Fp1_integral_period_mean=mean(Fp1_integral_period);
% 
% 
% F7_integral_period_max=max(F7_integral_period);
% F7_integral_period_min=min(F7_integral_period);
% F7_integral_period_mean=mean(F7_integral_period);
% 
% 
% F3_integral_period_max=max(F3_integral_period);
% F3_integral_period_min=min(F3_integral_period);
% F3_integral_period_mean=mean(F3_integral_period);
% 
% 
% FC1_integral_period_max=max(FC1_integral_period);
% FC1_integral_period_min=min(FC1_integral_period);
% FC1_integral_period_mean=mean(FC1_integral_period);
% 
% 
% C3_integral_period_max=max(C3_integral_period);
% C3_integral_period_min=min(C3_integral_period);
% C3_integral_period_mean=mean(C3_integral_period);
% 
% 
% FC5_integral_period_max=max(FC5_integral_period);
% FC5_integral_period_min=min(FC5_integral_period);
% FC5_integral_period_mean=mean(FC5_integral_period);
% 
% 
% FT9_integral_period_max=max(FT9_integral_period);
% FT9_integral_period_min=min(FT9_integral_period);
% FT9_integral_period_mean=mean(FT9_integral_period);
% 
% 
% T7_integral_period_max=max(T7_integral_period);
% T7_integral_period_min=min(T7_integral_period);
% T7_integral_period_mean=mean(T7_integral_period);
% 
% 
% CP5_integral_period_max=max(CP5_integral_period);
% CP5_integral_period_min=min(CP5_integral_period);
% CP5_integral_period_mean=mean(CP5_integral_period);
% 
% 
% CP1_integral_period_max=max(CP1_integral_period);
% CP1_integral_period_min=min(CP1_integral_period);
% CP1_integral_period_mean=mean(CP1_integral_period);
% 
% 
% P3_integral_period_max=max(P3_integral_period);
% P3_integral_period_min=min(P3_integral_period);
% P3_integral_period_mean=mean(P3_integral_period);
% 
% 
% P7_integral_period_max=max(P7_integral_period);
% P7_integral_period_min=min(P7_integral_period);
% P7_integral_period_mean=mean(P7_integral_period);
% 
% 
% PO9_integral_period_max=max(PO9_integral_period);
% PO9_integral_period_min=min(PO9_integral_period);
% PO9_integral_period_mean=mean(PO9_integral_period);
% 
% 
% O1_integral_period_max=max(O1_integral_period);
% O1_integral_period_min=min(O1_integral_period);
% O1_integral_period_mean=mean(O1_integral_period);
% 
% 
% Pz_integral_period_max=max(Pz_integral_period);
% Pz_integral_period_min=min(Pz_integral_period);
% Pz_integral_period_mean=mean(Pz_integral_period);
% 
% 
% Oz_integral_period_max=max(Oz_integral_period);
% Oz_integral_period_min=min(Oz_integral_period);
% Oz_integral_period_mean=mean(Oz_integral_period);
% 
% 
% O2_integral_period_max=max(O2_integral_period);
% O2_integral_period_min=min(O2_integral_period);
% O2_integral_period_mean=mean(O2_integral_period);
% 
% 
% PO10_integral_period_max=max(PO10_integral_period);
% PO10_integral_period_min=min(PO10_integral_period);
% PO10_integral_period_mean=mean(PO10_integral_period);
% 
% 
% P8_integral_period_max=max(P8_integral_period);
% P8_integral_period_min=min(P8_integral_period);
% P8_integral_period_mean=mean(P8_integral_period);
% 
% 
% P4_integral_period_max=max(P4_integral_period);
% P4_integral_period_min=min(P4_integral_period);
% P4_integral_period_mean=mean(P4_integral_period);
% 
% 
% CP2_integral_period_max=max(CP2_integral_period);
% CP2_integral_period_min=min(CP2_integral_period);
% CP2_integral_period_mean=mean(CP2_integral_period);
% 
% 
% CP6_integral_period_max=max(CP6_integral_period);
% CP6_integral_period_min=min(CP6_integral_period);
% CP6_integral_period_mean=mean(CP6_integral_period);
% 
% 
% T8_integral_period_max=max(T8_integral_period);
% T8_integral_period_min=min(T8_integral_period);
% T8_integral_period_mean=mean(T8_integral_period);
% 
% 
% FT10_integral_period_max=max(FT10_integral_period);
% FT10_integral_period_min=min(FT10_integral_period);
% FT10_integral_period_mean=mean(FT10_integral_period);
% 
% 
% FC6_integral_period_max=max(FC6_integral_period);
% FC6_integral_period_min=min(FC6_integral_period);
% FC6_integral_period_mean=mean(FC6_integral_period);
% 
% 
% C4_integral_period_max=max(C4_integral_period);
% C4_integral_period_min=min(C4_integral_period);
% C4_integral_period_mean=mean(C4_integral_period);
% 
% 
% FC2_integral_period_max=max(FC2_integral_period);
% FC2_integral_period_min=min(FC2_integral_period);
% FC2_integral_period_mean=mean(FC2_integral_period);
% 
% 
% F4_integral_period_max=max(F4_integral_period);
% F4_integral_period_min=min(F4_integral_period);
% F4_integral_period_mean=mean(F4_integral_period);
% 
% 
% F8_integral_period_max=max(F8_integral_period);
% F8_integral_period_min=min(F8_integral_period);
% F8_integral_period_mean=mean(F8_integral_period);
% 
% 
% Fp2_integral_period_max=max(Fp2_integral_period);
% Fp2_integral_period_min=min(Fp2_integral_period);
% Fp2_integral_period_mean=mean(Fp2_integral_period);
% 
% % Vectors of  max, min and mean
% 
% MAX3=[Cz_integral_period_max Fz_integral_period_max Fp1_integral_period_max F7_integral_period_max F3_integral_period_max FC1_integral_period_max C3_integral_period_max FC5_integral_period_max FT9_integral_period_max T7_integral_period_max CP5_integral_period_max CP1_integral_period_max P3_integral_period_max P7_integral_period_max PO9_integral_period_max O1_integral_period_max Pz_integral_period_max Oz_integral_period_max O2_integral_period_max PO10_integral_period_max P8_integral_period_max P4_integral_period_max CP2_integral_period_max CP6_integral_period_max T8_integral_period_max FT10_integral_period_max FC6_integral_period_max C4_integral_period_max FC2_integral_period_max F4_integral_period_max F8_integral_period_max Fp2_integral_period_max];
% MIN3=[Cz_integral_period_min Fz_integral_period_min Fp1_integral_period_min F7_integral_period_min F3_integral_period_min FC1_integral_period_min C3_integral_period_min FC5_integral_period_min FT9_integral_period_min T7_integral_period_min CP5_integral_period_min CP1_integral_period_min P3_integral_period_min P7_integral_period_min PO9_integral_period_min O1_integral_period_min Pz_integral_period_min Oz_integral_period_min O2_integral_period_min PO10_integral_period_min P8_integral_period_min P4_integral_period_min CP2_integral_period_min CP6_integral_period_min T8_integral_period_min FT10_integral_period_min FC6_integral_period_min C4_integral_period_min FC2_integral_period_min F4_integral_period_min F8_integral_period_min Fp2_integral_period_min];
% MEAN3=[Cz_integral_period_mean Fz_integral_period_mean Fp1_integral_period_mean F7_integral_period_mean F3_integral_period_mean FC1_integral_period_mean C3_integral_period_mean FC5_integral_period_mean FT9_integral_period_mean T7_integral_period_mean CP5_integral_period_mean CP1_integral_period_mean P3_integral_period_mean P7_integral_period_mean PO9_integral_period_mean O1_integral_period_mean Pz_integral_period_mean Oz_integral_period_mean O2_integral_period_mean PO10_integral_period_mean P8_integral_period_mean P4_integral_period_mean CP2_integral_period_mean CP6_integral_period_mean T8_integral_period_mean FT10_integral_period_mean FC6_integral_period_mean C4_integral_period_mean FC2_integral_period_mean F4_integral_period_mean F8_integral_period_mean Fp2_integral_period_mean];
% 
% 
% 
% %Integral_Periods_up8=[Cz_integral_period Fz_integral_period Fp1_integral_period F7_integral_period F3_integral_period FC1_integral_period C3_integral_period FC5_integral_period FT9_integral_period T7_integral_period CP5_integral_period CP1_integral_period P3_integral_period P7_integral_period PO9_integral_period O1_integral_period Pz_integral_period Oz_integral_period O2_integral_period PO10_integral_period P8_integral_period P4_integral_period CP2_integral_period CP6_integral_period T8_integral_period FT10_integral_period FC6_integral_period C4_integral_period FC2_integral_period F4_integral_period F8_integral_period Fp2_integral_period];
% %save Integral_Periods_up8;
% 
%  P_input=Integrals_test
%   Control_article_tests;
% % % plot(MOVEMENT)
Control_article_V1;
%RUCH_ANALIZA2